## gstreamer0.10-ffmpeg 0.10.4

=== gst-libs/ext/ffmpeg/libavcodec/Makefile ===
#
# libavcodec Makefile
# (c) 2000-2005 Fabrice Bellard
#
include $(SUBDIR)../config.mak

NAME = avcodec
FFLIBS = avutil

OBJS = allcodecs.o \
       audioconvert.o \
       bitstream.o \
       bitstream_filter.o \
       dsputil.o \
       eval.o \
       faanidct.o \
       imgconvert.o \
       jrevdct.o \
       opt.o \
       parser.o \
       raw.o \
       resample.o \
       resample2.o \
       simple_idct.o \
       utils.o \


HEADERS = avcodec.h opt.h

OBJS-$(CONFIG_ENCODERS)                += faandct.o jfdctfst.o jfdctint.o

OBJS-$(CONFIG_AASC_DECODER)            += aasc.o
OBJS-$(CONFIG_AC3_DECODER)             += ac3dec.o ac3tab.o ac3.o mdct.o fft.o
OBJS-$(CONFIG_AC3_ENCODER)             += ac3enc.o ac3tab.o ac3.o
OBJS-$(CONFIG_ALAC_DECODER)            += alac.o
OBJS-$(CONFIG_AMV_DECODER)             += sp5xdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_APE_DECODER)             += apedec.o
OBJS-$(CONFIG_ASV1_DECODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV1_ENCODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV2_DECODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ASV2_ENCODER)            += asv1.o mpeg12data.o
OBJS-$(CONFIG_ATRAC3_DECODER)          += atrac3.o mdct.o fft.o
OBJS-$(CONFIG_AVS_DECODER)             += avs.o
OBJS-$(CONFIG_BETHSOFTVID_DECODER)     += bethsoftvideo.o
OBJS-$(CONFIG_BFI_DECODER)             += bfi.o
OBJS-$(CONFIG_BMP_DECODER)             += bmp.o
OBJS-$(CONFIG_BMP_ENCODER)             += bmpenc.o
OBJS-$(CONFIG_C93_DECODER)             += c93.o
OBJS-$(CONFIG_CAVS_DECODER)            += cavs.o cavsdec.o cavsdsp.o golomb.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_CINEPAK_DECODER)         += cinepak.o
OBJS-$(CONFIG_CLJR_DECODER)            += cljr.o
OBJS-$(CONFIG_CLJR_ENCODER)            += cljr.o
OBJS-$(CONFIG_COOK_DECODER)            += cook.o mdct.o fft.o
OBJS-$(CONFIG_CSCD_DECODER)            += cscd.o
OBJS-$(CONFIG_CYUV_DECODER)            += cyuv.o
OBJS-$(CONFIG_DCA_DECODER)             += dca.o
OBJS-$(CONFIG_DNXHD_DECODER)           += dnxhddec.o dnxhddata.o
OBJS-$(CONFIG_DNXHD_ENCODER)           += dnxhdenc.o dnxhddata.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_DSICINAUDIO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DSICINVIDEO_DECODER)     += dsicinav.o
OBJS-$(CONFIG_DVBSUB_DECODER)          += dvbsubdec.o
OBJS-$(CONFIG_DVBSUB_ENCODER)          += dvbsub.o
OBJS-$(CONFIG_DVDSUB_DECODER)          += dvdsubdec.o
OBJS-$(CONFIG_DVDSUB_ENCODER)          += dvdsubenc.o
OBJS-$(CONFIG_DVVIDEO_DECODER)         += dv.o
OBJS-$(CONFIG_DVVIDEO_ENCODER)         += dv.o
OBJS-$(CONFIG_DXA_DECODER)             += dxa.o
OBJS-$(CONFIG_EIGHTBPS_DECODER)        += 8bps.o
OBJS-$(CONFIG_EIGHTSVX_EXP_DECODER)    += 8svx.o
OBJS-$(CONFIG_EIGHTSVX_FIB_DECODER)    += 8svx.o
OBJS-$(CONFIG_ESCAPE124_DECODER)       += escape124.o
OBJS-$(CONFIG_FFV1_DECODER)            += ffv1.o rangecoder.o golomb.o
OBJS-$(CONFIG_FFV1_ENCODER)            += ffv1.o rangecoder.o
OBJS-$(CONFIG_FFVHUFF_DECODER)         += huffyuv.o
OBJS-$(CONFIG_FFVHUFF_ENCODER)         += huffyuv.o
OBJS-$(CONFIG_FLAC_DECODER)            += flac.o golomb.o
OBJS-$(CONFIG_FLAC_ENCODER)            += flacenc.o golomb.o
OBJS-$(CONFIG_FLASHSV_DECODER)         += flashsv.o
OBJS-$(CONFIG_FLASHSV_ENCODER)         += flashsvenc.o
OBJS-$(CONFIG_FLIC_DECODER)            += flicvideo.o
OBJS-$(CONFIG_FLV_DECODER)             += h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_FLV_ENCODER)             += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_FOURXM_DECODER)          += 4xm.o
OBJS-$(CONFIG_FRAPS_DECODER)           += fraps.o huffman.o
OBJS-$(CONFIG_GIF_DECODER)             += gifdec.o lzw.o
OBJS-$(CONFIG_GIF_ENCODER)             += gif.o
OBJS-$(CONFIG_H261_DECODER)            += h261dec.o h261.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H261_ENCODER)            += h261enc.o h261.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_H263_DECODER)            += h263dec.o h263.o h263_parser.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H263I_DECODER)           += h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H263_ENCODER)            += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H263P_ENCODER)           += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H264_DECODER)            += h264.o h264idct.o h264pred.o h264_parser.o cabac.o golomb.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_H264_ENCODER)            += h264enc.o h264dspenc.o
OBJS-$(CONFIG_HUFFYUV_DECODER)         += huffyuv.o
OBJS-$(CONFIG_HUFFYUV_ENCODER)         += huffyuv.o
OBJS-$(CONFIG_IDCIN_DECODER)           += idcinvideo.o
OBJS-$(CONFIG_IMC_DECODER)             += imc.o mdct.o fft.o
OBJS-$(CONFIG_INDEO2_DECODER)          += indeo2.o
OBJS-$(CONFIG_INDEO3_DECODER)          += indeo3.o
OBJS-$(CONFIG_INTERPLAY_DPCM_DECODER)  += dpcm.o
OBJS-$(CONFIG_INTERPLAY_VIDEO_DECODER) += interplayvideo.o
OBJS-$(CONFIG_JPEGLS_DECODER)          += jpeglsdec.o jpegls.o mjpegdec.o mjpeg.o golomb.o
OBJS-$(CONFIG_JPEGLS_ENCODER)          += jpeglsenc.o jpegls.o golomb.o
OBJS-$(CONFIG_KMVC_DECODER)            += kmvc.o
OBJS-$(CONFIG_LJPEG_ENCODER)           += ljpegenc.o mjpegenc.o mjpeg.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_LOCO_DECODER)            += loco.o golomb.o
OBJS-$(CONFIG_MACE3_DECODER)           += mace.o
OBJS-$(CONFIG_MACE6_DECODER)           += mace.o
OBJS-$(CONFIG_MIMIC_DECODER)           += mimic.o
OBJS-$(CONFIG_MJPEG_DECODER)           += mjpegdec.o mjpeg.o
OBJS-$(CONFIG_MJPEG_ENCODER)           += mjpegenc.o mjpeg.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12data.o mpegvideo.o
OBJS-$(CONFIG_MJPEGB_DECODER)          += mjpegbdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_MMVIDEO_DECODER)         += mmvideo.o
OBJS-$(CONFIG_MP2_DECODER)             += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP2_ENCODER)             += mpegaudioenc.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP3_DECODER)             += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP3ADU_DECODER)          += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MP3ON4_DECODER)          += mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o mpeg4audio.o
OBJS-$(CONFIG_MPC7_DECODER)            += mpc7.o mpc.o mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MPC8_DECODER)            += mpc8.o mpc.o mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_MDEC_DECODER)            += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEGVIDEO_DECODER)       += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG1VIDEO_DECODER)      += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG1VIDEO_ENCODER)      += mpeg12enc.o mpeg12data.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG2VIDEO_DECODER)      += mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG2VIDEO_ENCODER)      += mpeg12enc.o mpeg12data.o mpegvideo_enc.o motion_est.o ratecontrol.o mpeg12.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG4_DECODER)           += h263dec.o h263.o mpeg4video_parser.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MPEG4_ENCODER)           += mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V1_DECODER)       += msmpeg4.o msmpeg4data.o h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V1_ENCODER)       += msmpeg4.o msmpeg4data.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V2_DECODER)       += msmpeg4.o msmpeg4data.o h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V2_ENCODER)       += msmpeg4.o msmpeg4data.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V3_DECODER)       += msmpeg4.o msmpeg4data.o h263dec.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSMPEG4V3_ENCODER)       += msmpeg4.o msmpeg4data.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_MSRLE_DECODER)           += msrle.o
OBJS-$(CONFIG_MSVIDEO1_DECODER)        += msvideo1.o
OBJS-$(CONFIG_MSZH_DECODER)            += lcldec.o
OBJS-$(CONFIG_NELLYMOSER_DECODER)      += nellymoserdec.o mdct.o fft.o
OBJS-$(CONFIG_NUV_DECODER)             += nuv.o rtjpeg.o
OBJS-$(CONFIG_PAM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PBM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PCX_DECODER)             += pcx.o
OBJS-$(CONFIG_PGM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PGMYUV_ENCODER)          += pnmenc.o pnm.o
OBJS-$(CONFIG_PNG_DECODER)             += png.o pngdec.o
OBJS-$(CONFIG_PNG_ENCODER)             += png.o pngenc.o
OBJS-$(CONFIG_PPM_ENCODER)             += pnmenc.o pnm.o
OBJS-$(CONFIG_PTX_DECODER)             += ptx.o
OBJS-$(CONFIG_QDM2_DECODER)            += qdm2.o mdct.o fft.o mpegaudiodec.o mpegaudiodecheader.o mpegaudio.o mpegaudiodata.o
OBJS-$(CONFIG_QDRAW_DECODER)           += qdrw.o
OBJS-$(CONFIG_QPEG_DECODER)            += qpeg.o
OBJS-$(CONFIG_QTRLE_DECODER)           += qtrle.o
OBJS-$(CONFIG_QTRLE_ENCODER)           += qtrleenc.o
OBJS-$(CONFIG_RA_144_DECODER)          += ra144.o
OBJS-$(CONFIG_RA_288_DECODER)          += ra288.o
OBJS-$(CONFIG_RAWVIDEO_DECODER)        += rawdec.o
OBJS-$(CONFIG_RAWVIDEO_ENCODER)        += rawenc.o
OBJS-$(CONFIG_RL2_DECODER)             += rl2.o
OBJS-$(CONFIG_ROQ_DECODER)             += roqvideodec.o roqvideo.o
OBJS-$(CONFIG_ROQ_ENCODER)             += roqvideoenc.o roqvideo.o elbg.o
OBJS-$(CONFIG_ROQ_DPCM_DECODER)        += dpcm.o
OBJS-$(CONFIG_ROQ_DPCM_ENCODER)        += roqaudioenc.o
OBJS-$(CONFIG_RPZA_DECODER)            += rpza.o
OBJS-$(CONFIG_RV10_DECODER)            += rv10.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_RV10_ENCODER)            += rv10.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_RV20_DECODER)            += rv10.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_RV20_ENCODER)            += rv10.o mpegvideo_enc.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SGI_DECODER)             += sgidec.o
OBJS-$(CONFIG_SGI_ENCODER)             += sgienc.o rle.o
OBJS-$(CONFIG_SHORTEN_DECODER)         += shorten.o golomb.o
OBJS-$(CONFIG_SMACKAUD_DECODER)        += smacker.o
OBJS-$(CONFIG_SMACKER_DECODER)         += smacker.o
OBJS-$(CONFIG_SMC_DECODER)             += smc.o
OBJS-$(CONFIG_SNOW_DECODER)            += snow.o rangecoder.o
OBJS-$(CONFIG_SNOW_ENCODER)            += snow.o rangecoder.o motion_est.o ratecontrol.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SOL_DPCM_DECODER)        += dpcm.o
OBJS-$(CONFIG_SONIC_DECODER)           += sonic.o golomb.o
OBJS-$(CONFIG_SONIC_ENCODER)           += sonic.o golomb.o
OBJS-$(CONFIG_SONIC_LS_ENCODER)        += sonic.o golomb.o
OBJS-$(CONFIG_SP5X_DECODER)            += sp5xdec.o mjpegdec.o mjpeg.o
OBJS-$(CONFIG_SUNRAST_DECODER)         += sunrast.o
OBJS-$(CONFIG_SVQ1_DECODER)            += svq1dec.o svq1.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SVQ1_ENCODER)            += svq1enc.o svq1.o motion_est.o h263.o mpeg12data.o mpegvideo.o error_resilience.o
OBJS-$(CONFIG_SVQ3_DECODER)            += h264.o h264idct.o h264pred.o h264_parser.o cabac.o golomb.o mpegvideo.o error_resilience.o

=== gst-libs/ext/ffmpeg/libswscale/Makefile ===
include $(SUBDIR)../config.mak

NAME = swscale
FFLIBS = avutil

OBJS = rgb2rgb.o swscale.o

OBJS-$(ARCH_BFIN)          +=  swscale_bfin.o yuv2rgb_bfin.o
OBJS-$(CONFIG_GPL)         +=  yuv2rgb.o
OBJS-$(CONFIG_MLIB)        +=  yuv2rgb_mlib.c
OBJS-$(HAVE_ALTIVEC)       +=  yuv2rgb_altivec.o
OBJS-$(HAVE_VIS)           +=  yuv2rgb_vis.c

ASM_OBJS-$(ARCH_BFIN)      +=  internal_bfin.o

HEADERS = swscale.h rgb2rgb.h

CLEANFILES = cs_test swscale-example

include $(SUBDIR)../subdir.mak

$(SUBDIR)cs_test: $(SUBDIR)cs_test.o $(SUBDIR)$(LIBNAME)

$(SUBDIR)swscale-example: $(SUBDIR)swscale-example.o $(SUBDIR)$(LIBNAME)
$(SUBDIR)swscale-example: EXTRALIBS += -lm

## gstreamer0.10-ffmpeg 0.10.9-1

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.9-1) unstable; urgency=low

  * New upstream release, 'Shooting the moon'.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Oct 2009 18:14:25 +0200

gstreamer0.10-ffmpeg (0.10.8.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update build dependencies.
    + debian/patches/03_disable_theoradec.patch,
      debian/patches/04_fix_duration_calculation.patch:
      - Dropped, merged upstream.
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Sep 2009 13:12:57 +0200

gstreamer0.10-ffmpeg (0.10.8-2) unstable; urgency=low

  * debian/patch/03_disable_theoradec.patch
    + Added, disable the ffmpeg theora decoder as it's broken.
  * debian/patches/04_fix_duration_calculation.patch
    + Added, fix the duration calculation of a buffer for which ticks_per_frame
    isn't 1 such as H264.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 09 Aug 2009 10:00:05 +0100

gstreamer0.10-ffmpeg (0.10.8-1) unstable; urgency=low

  * New upstream release, 'Brilliant in the morning':
    + debian/patches/03_swfdec-hang.patch:
      - Dropped, merged upstream.
  * debian/control:
    + Updated Standards-Version to 3.8.2.
    + Fix section and priority of the debug package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jun 2009 11:30:37 +0200

gstreamer0.10-ffmpeg (0.10.7.2-2) experimental; urgency=low

  * debian/patches/02_plugin-dependencies.patch:
    + Add the ffmpeg libraries as plugin dependencies. This makes sure that
      the list of encoders/decoders/muxers/demuxers is updated in the GStreamer
      registry whenever ffmpeg is updated. This is especially useful if someone
      installs an unstripped ffmpeg.
  * debian/patches/03_swfdec-hang.patch:
    + Fix hanging of swfdec on YouTube and a lot of other websites.
      Patch from upstream bugzilla (Closes: #533111).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Jun 2009 18:57:29 +0200

gstreamer0.10-ffmpeg (0.10.7.2-1) experimental; urgency=low

  * debian/patches/05_disable-libvorbis-libtheora.patch:
    + Dropped, it's already upstream since 0.10.7.
  * New upstream pre-release.
  * debian/control:
    + Update Standards-Version to 3.8.1, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 06 Jun 2009 17:46:54 +0200

gstreamer0.10-ffmpeg (0.10.7-1) unstable; urgency=low

  * New upstream release, 'Some high ground is not worth taking'.
  * debian/control,
    debian/rules:
    + Add a debug package.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 21 Mar 2009 09:35:27 +0100

gstreamer0.10-ffmpeg (0.10.6.2-1) unstable; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update GStreamer build dependencies to >= 0.10.22.
    + debian/patches/02_demuxer-seek-fix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Mar 2009 10:09:05 +0100

gstreamer0.10-ffmpeg (0.10.6-3) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Feb 2009 12:24:07 +0100

gstreamer0.10-ffmpeg (0.10.6-2) experimental; urgency=low

  * debian/patches/02_demuxer-seek-fix.patch:
    + Patch from upstream GIT to fix seeking in the demuxers.
      This was broken by one of the ffmpeg updates.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Feb 2009 14:42:10 +0100

gstreamer0.10-ffmpeg (0.10.6-1) experimental; urgency=low

  * New upstream release, 'A little itching in our bones'.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Nov 2008 08:17:45 +0100

gstreamer0.10-ffmpeg (0.10.5.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_libswscale-typo.patch,
      debian/patches/02_libswscale-include.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Nov 2008 08:47:41 +0100

gstreamer0.10-ffmpeg (0.10.5.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_new-ffmpeg.patch,
      debian/patches/03_h264-codec-data-escaping.patch,
      debian/patches/04_h264-frame-reordering.patch:
      - Dropped, merged upstream.
    + Ported ffvideoscale to new libswscale (Closes: #487766).
  * debian/control:
    + Build depend on latest ffmpeg (Closes: #505009).
  * debian/patches/02_libswscale-typo.patch:
    + Fix typo in libswscale configure check.
  * debian/patches/03_libswscale-include.patch:
    + Fix swscale.h include path.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Nov 2008 15:09:58 +0100

gstreamer0.10-ffmpeg (0.10.5-3) experimental; urgency=low

  * No change rebuild to get all build dependencies listed in the
    generated .dsc file (Closes: #504130).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Nov 2008 10:36:56 +0100

gstreamer0.10-ffmpeg (0.10.5-2) experimental; urgency=low

  * debian/control:
    + Build depend on newer ffmpeg snapshot from experimental for
      new features.
  * debian/patches/02_old-ffmpeg.patch,
    debian/patches/02_new-ffmpeg.patch:
    + Patch from upstream CVS to work with the new ffmpeg snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 30 Oct 2008 12:04:18 +0100

gstreamer0.10-ffmpeg (0.10.5-1) experimental; urgency=low

  * New upstream release, 'This little piggy went to market'.
  * debian/patches/03_h264-codec-data-escaping.patch:
    + Patch from upstream CVS to escape the private h264 codec data before
      passing it to ffmpeg as ffmpeg requires this while GStreamer doesn't.
  * debian/patches/04_h264-frame-reordering.patch:
    + Patch from upstream CVS to fix decoding of h264 when the upstream elements
      provide reordered frames.
  * debian/patches/05_disable-libvorbis-libtheora.patch:
    + Disable libvorbis and libtheora based encoders. The ones provided by
      GStreamer directly are working much better.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Oct 2008 11:39:05 +0200

gstreamer0.10-ffmpeg (0.10.4.2-1) experimental; urgency=low

  * New upstream pre-release:


=== debian/control ===
Source: gstreamer0.10-ffmpeg
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: David I. Lehn <dlehn@debian.org>,
           Loic Minier <lool@dooz.org>,
           Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs (>= 0.4.8),
               autotools-dev,
               zlib1g-dev,
               libglib2.0-dev (>= 2.4.0),
               pkg-config (>= 0.11.0),
               libgstreamer0.10-dev (>= 0.10.22),
               libgstreamer-plugins-base0.10-dev (>= 0.10.22),
               liboil0.3-dev (>= 0.3.6),
               gstreamer-tools (>= 0.10.14),
               libbz2-dev
Standards-Version: 3.8.3

Package: gstreamer0.10-ffmpeg
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: FFmpeg plugin for GStreamer
 This GStreamer plugin supports a large number of audio and video compression
 formats through the use of the FFmpeg library.  The plugin contains GStreamer
# elements for encoding 40+ formats (MPEG, DivX, MPEG4, AC3, DV, ...), decoding
 elements for decoding 90+ formats (AVI, MPEG, OGG, Matroska, ASF, ...),
 demuxing 30+ formats and colorspace conversion.
 .
 http://www.ffmpeg.org/
 http://gstreamer.freedesktop.org/
 http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html

Package: gstreamer0.10-ffmpeg-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer0.10-ffmpeg (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: FFmpeg plugin for GStreamer (debug symbols)
 This GStreamer plugin supports a large number of audio and video compression
 formats through the use of the FFmpeg library.  The plugin contains GStreamer
# elements for encoding 40+ formats (MPEG, DivX, MPEG4, AC3, DV, ...), decoding
 elements for decoding 90+ formats (AVI, MPEG, OGG, Matroska, ASF, ...),
 demuxing 30+ formats and colorspace conversion.
 .
 http://www.ffmpeg.org/
 http://gstreamer.freedesktop.org/
 http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

CFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Let's decide the package name and url depending on the distribution
DISTRO = "Maemo"

GST_PACKAGE_NAME := "GStreamer FFMPEG Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer0.10-ffmpeg"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer FFMPEG Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer0.10-ffmpeg"
endif

ifeq ($(DISTRO),"Maemo")
GST_PACKAGE_NAME := "GStreamer FFMPEG Plugins (Maemo)"
GST_PACKAGE_ORIGIN="https://garage.maemo.org"
endif


DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)

DEB_CONFIGURE_EXTRA_FLAGS += --with-package-name=$(GST_PACKAGE_NAME) \
                             --with-package-origin=$(GST_PACKAGE_ORIGIN)

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

DEB_DH_STRIP_ARGS := --dbg-package=gstreamer0.10-ffmpeg-dbg

install/gstreamer0.10-ffmpeg::
	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.la
	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.a

common-binary-fixup-arch::
	dh_gstscancodecs

## gstreamer0.10-ffmpeg 0.10.9-2maemo1

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.9-2maemo1) unstable; urgency=low

  * Optify for maemo

 -- Zaheer Merali <zaheermerali@gmail.com>  Thu, 05 Nov 2009 21:42:43 +0000

=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,9 @@
 	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.la
 	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.a
 
+binary-predeb/gstreamer0.10-ffmpeg::
+	maemo-optify
+
 common-binary-fixup-arch::
 	dh_gstscancodecs

## gstreamer0.10-ffmpeg 0.10.9-2maemo2

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.9-2maemo2) unstable; urgency=low

  * drop rank of decoders, so nokia dsp ones get preference

 -- Zaheer Merali <zaheermerali@gmail.com>  Mon, 30 Nov 2009 14:03:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
 Source: gstreamer0.10-ffmpeg
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
-Uploaders: David I. Lehn <dlehn@debian.org>,
-           Loic Minier <lool@dooz.org>,
-           Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Zaheer Abbas Merali <zaheermerali@gmail.com>
 Build-Depends: debhelper (>= 5),
                cdbs (>= 0.4.8),
                autotools-dev,
@@ -16,7 +12,8 @@
                libgstreamer-plugins-base0.10-dev (>= 0.10.22),
                liboil0.3-dev (>= 0.3.6),
                gstreamer-tools (>= 0.10.14),
-               libbz2-dev
+               libbz2-dev,
+               maemo-optify
 Standards-Version: 3.8.3
 
 Package: gstreamer0.10-ffmpeg

## gstreamer0.10-ffmpeg 0.10.10

=== gst-libs/ext/ffmpeg/Makefile ===
include config.mak

SRC_DIR = $(SRC_PATH_BARE)

vpath %.texi $(SRC_PATH_BARE)

PROGS-$(CONFIG_FFMPEG)   += ffmpeg
PROGS-$(CONFIG_FFPLAY)   += ffplay
PROGS-$(CONFIG_FFSERVER) += ffserver

PROGS      := $(addsuffix   $(EXESUF), $(PROGS-yes))
PROGS_G     = $(addsuffix _g$(EXESUF), $(PROGS-yes))
OBJS        = $(addsuffix .o,          $(PROGS-yes)) cmdutils.o
MANPAGES    = $(addprefix doc/, $(addsuffix .1, $(PROGS-yes)))
TOOLS       = $(addprefix tools/, $(addsuffix $(EXESUF), cws2fws pktdumper probetest qt-faststart trasher))
HOSTPROGS   = $(addprefix tests/, audiogen videogen rotozoom tiny_psnr)

BASENAMES   = ffmpeg ffplay ffserver
ALLPROGS    = $(addsuffix   $(EXESUF), $(BASENAMES))
ALLPROGS_G  = $(addsuffix _g$(EXESUF), $(BASENAMES))
ALLMANPAGES = $(addsuffix .1, $(BASENAMES))

FFLIBS-$(CONFIG_AVDEVICE) += avdevice
FFLIBS-$(CONFIG_AVFILTER) += avfilter
FFLIBS-$(CONFIG_AVFORMAT) += avformat
FFLIBS-$(CONFIG_AVCODEC)  += avcodec
FFLIBS-$(CONFIG_POSTPROC) += postproc
FFLIBS-$(CONFIG_SWSCALE)  += swscale

FFLIBS := avutil

DATA_FILES := $(wildcard $(SRC_DIR)/ffpresets/*.ffpreset)

include common.mak

FF_LDFLAGS   := $(FFLDFLAGS)
FF_EXTRALIBS := $(FFEXTRALIBS)
FF_DEP_LIBS  := $(DEP_LIBS)

ALL_TARGETS-$(CONFIG_DOC)       += documentation

ifdef PROGS
INSTALL_TARGETS-yes             += install-progs install-data
INSTALL_TARGETS-$(CONFIG_DOC)   += install-man
endif
INSTALL_PROGS_TARGETS-$(CONFIG_SHARED) = install-libs

all: $(FF_DEP_LIBS) $(PROGS) $(ALL_TARGETS-yes)

$(PROGS): %$(EXESUF): %_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

SUBDIR_VARS := OBJS FFLIBS CLEANFILES DIRS TESTPROGS EXAMPLES SKIPHEADERS \
               ALTIVEC-OBJS MMX-OBJS NEON-OBJS X86-OBJS YASM-OBJS-FFT YASM-OBJS \
               HOSTPROGS BUILT_HEADERS

define RESET
$(1) :=
$(1)-yes :=
endef

define DOSUBDIR
$(foreach V,$(SUBDIR_VARS),$(eval $(call RESET,$(V))))
SUBDIR := $(1)/
include $(1)/Makefile
endef

$(foreach D,$(FFLIBS),$(eval $(call DOSUBDIR,lib$(D))))

ffplay_g$(EXESUF): FF_EXTRALIBS += $(SDL_LIBS)
ffserver_g$(EXESUF): FF_LDFLAGS += $(FFSERVERLDFLAGS)

%_g$(EXESUF): %.o cmdutils.o $(FF_DEP_LIBS)
	$(LD) $(FF_LDFLAGS) -o $@ $< cmdutils.o $(FF_EXTRALIBS)

tools/%$(EXESUF): tools/%.o
	$(LD) $(FF_LDFLAGS) -o $@ $< $(FF_EXTRALIBS)

tools/%.o: tools/%.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CC_O) $<

ffplay.o ffplay.d: CFLAGS += $(SDL_CFLAGS)

cmdutils.o cmdutils.d: version.h

alltools: $(TOOLS)

documentation: $(addprefix doc/, developer.html faq.html ffmpeg-doc.html \
                                 ffplay-doc.html ffserver-doc.html       \
                                 general.html libavfilter.html $(ALLMANPAGES))

doc/%.html: doc/%.texi
	texi2html -monolithic -number $<
	mv $(@F) $@

doc/%.pod: doc/%-doc.texi
	doc/texi2pod.pl $< $@

doc/%.1: doc/%.pod
	pod2man --section=1 --center=" " --release=" " $< > $@

install: $(INSTALL_TARGETS-yes)

install-progs: $(PROGS) $(INSTALL_PROGS_TARGETS-yes)
	install -d "$(BINDIR)"
	install -c -m 755 $(PROGS) "$(BINDIR)"

install-data: $(DATA_FILES)
	install -d "$(DATADIR)"
	install -m 644 $(DATA_FILES) "$(DATADIR)"

install-man: $(MANPAGES)
	install -d "$(MANDIR)/man1"
	install -m 644 $(MANPAGES) "$(MANDIR)/man1"

uninstall: uninstall-progs uninstall-data uninstall-man

uninstall-progs:
	rm -f $(addprefix "$(BINDIR)/", $(ALLPROGS))

uninstall-data:
	rm -rf "$(DATADIR)"

uninstall-man:
	rm -f $(addprefix "$(MANDIR)/man1/",$(ALLMANPAGES))

testclean:
	rm -rf tests/vsynth1 tests/vsynth2 tests/data tests/*~

clean:: testclean
	rm -f $(ALLPROGS) $(ALLPROGS_G)
	rm -f $(CLEANSUFFIXES)
	rm -f doc/*.html doc/*.pod doc/*.1
	rm -f tests/seek_test$(EXESUF) tests/seek_test.o
	rm -f $(addprefix tests/,$(addsuffix $(HOSTEXESUF),audiogen videogen rotozoom tiny_psnr))
	rm -f $(TOOLS)

distclean::
	rm -f $(DISTCLEANSUFFIXES)
	rm -f version.h config.*

config:
	$(SRC_PATH)/configure $(value FFMPEG_CONFIGURATION)

# regression tests

check: test checkheaders

fulltest test: codectest lavftest seektest

FFSERVER_REFFILE = $(SRC_PATH)/tests/ffserver.regression.ref
SEEK_REFFILE     = $(SRC_PATH)/tests/seek.regression.ref

ENCDEC = $(and $(CONFIG_$(1)_ENCODER),$(CONFIG_$(1)_DECODER))
MUXDEM = $(and $(CONFIG_$(1)_MUXER),$(CONFIG_$(or $(2),$(1))_DEMUXER))

VCODEC_TESTS =
VCODEC_TESTS-$(call ENCDEC,ASV1)             += asv1
VCODEC_TESTS-$(call ENCDEC,ASV2)             += asv2
VCODEC_TESTS-$(call ENCDEC,DNXHD)            += dnxhd_1080i dnxhd_720p dnxhd_720p_rd
VCODEC_TESTS-$(call ENCDEC,DVVIDEO)          += dv dv50
VCODEC_TESTS-$(call ENCDEC,FFV1)             += ffv1
VCODEC_TESTS-$(call ENCDEC,FLASHSV)          += flashsv
VCODEC_TESTS-$(call ENCDEC,FLV)              += flv
VCODEC_TESTS-$(call ENCDEC,H261)             += h261
VCODEC_TESTS-$(call ENCDEC,H263)             += h263 h263p
VCODEC_TESTS-$(call ENCDEC,HUFFYUV)          += huffyuv
VCODEC_TESTS-$(call ENCDEC,JPEGLS)           += jpegls
VCODEC_TESTS-$(call ENCDEC,MJPEG)            += mjpeg ljpeg
VCODEC_TESTS-$(call ENCDEC,MPEG1VIDEO)       += mpeg mpeg1b
VCODEC_TESTS-$(call ENCDEC,MPEG2VIDEO)       += mpeg2 mpeg2thread
VCODEC_TESTS-$(call ENCDEC,MPEG4)            += mpeg4 mpeg4adv mpeg4nr mpeg4thread error rc
VCODEC_TESTS-$(call ENCDEC,MSMPEG4V1)        += msmpeg4
VCODEC_TESTS-$(call ENCDEC,MSMPEG4V2)        += msmpeg4v2
VCODEC_TESTS-$(call ENCDEC,ROQ)              += roq
VCODEC_TESTS-$(call ENCDEC,RV10)             += rv10
VCODEC_TESTS-$(call ENCDEC,RV20)             += rv20
VCODEC_TESTS-$(call ENCDEC,SNOW)             += snow snowll
VCODEC_TESTS-$(call ENCDEC,SVQ1)             += svq1
VCODEC_TESTS-$(call ENCDEC,WMV1)             += wmv1
VCODEC_TESTS-$(call ENCDEC,WMV2)             += wmv2

ACODEC_TESTS =
ACODEC_TESTS-$(call ENCDEC,AC3)              += ac3
ACODEC_TESTS-$(call ENCDEC,ADPCM_G726)       += g726
ACODEC_TESTS-$(call ENCDEC,ADPCM_IMA_QT)     += adpcm_ima_qt
ACODEC_TESTS-$(call ENCDEC,ADPCM_IMA_WAV)    += adpcm_ima_wav
ACODEC_TESTS-$(call ENCDEC,ADPCM_MS)         += adpcm_ms
ACODEC_TESTS-$(call ENCDEC,ADPCM_SWF)        += adpcm_swf
ACODEC_TESTS-$(call ENCDEC,ADPCM_YAMAHA)     += adpcm_yam
ACODEC_TESTS-$(call ENCDEC,ALAC)             += alac
ACODEC_TESTS-$(call ENCDEC,FLAC)             += flac
ACODEC_TESTS-$(call ENCDEC,MP2)              += mp2
ACODEC_TESTS-$(call ENCDEC,PCM_S16LE)        += pcm         # fixme
ACODEC_TESTS-$(call ENCDEC,WMAV1)            += wmav1
ACODEC_TESTS-$(call ENCDEC,WMAV1)            += wmav2

LAVF_TESTS =
LAVF_TESTS-$(call MUXDEM,AIFF)               += aiff
LAVF_TESTS-$(call MUXDEM,PCM_ALAW)           += alaw
LAVF_TESTS-$(call MUXDEM,ASF)                += asf
LAVF_TESTS-$(call MUXDEM,AU)                 += au
LAVF_TESTS-$(call MUXDEM,AVI)                += avi
LAVF_TESTS-$(call ENCDEC,BMP)                += bmp
LAVF_TESTS-$(call MUXDEM,DV)                 += dv_fmt
LAVF_TESTS-$(call MUXDEM,FFM)                += ffm
LAVF_TESTS-$(call MUXDEM,FLV)                += flv_fmt
LAVF_TESTS-$(call ENCDEC,GIF)                += gif
LAVF_TESTS-$(call MUXDEM,GXF)                += gxf
LAVF_TESTS-$(call ENCDEC,MJPEG)              += jpg
LAVF_TESTS-$(call MUXDEM,MATROSKA)           += mkv
LAVF_TESTS-$(call MUXDEM,MMF)                += mmf
LAVF_TESTS-$(call MUXDEM,MOV)                += mov
LAVF_TESTS-$(call MUXDEM,MPEG1SYSTEM,MPEGPS) += mpg
LAVF_TESTS-$(call MUXDEM,PCM_MULAW)          += mulaw
LAVF_TESTS-$(call MUXDEM,MXF)                += mxf
LAVF_TESTS-$(call MUXDEM,NUT)                += nut
LAVF_TESTS-$(call MUXDEM,OGG)                += ogg
LAVF_TESTS-$(call ENCDEC,PBM)                += pbmpipe
LAVF_TESTS-$(call ENCDEC,PCX)                += pcx
LAVF_TESTS-$(call ENCDEC,PGM)                += pgm pgmpipe
LAVF_TESTS-$(call MUXDEM,RAWVIDEO)           += pixfmt
LAVF_TESTS-$(call ENCDEC,PPM)                += ppm ppmpipe
LAVF_TESTS-$(call MUXDEM,RM)                 += rm
LAVF_TESTS-$(call ENCDEC,SGI)                += sgi
LAVF_TESTS-$(call MUXDEM,SWF)                += swf
LAVF_TESTS-$(call ENCDEC,TARGA)              += tga
LAVF_TESTS-$(call ENCDEC,TIFF)               += tiff
LAVF_TESTS-$(call MUXDEM,MPEGTS)             += ts
LAVF_TESTS-$(call MUXDEM,VOC)                += voc
LAVF_TESTS-$(call MUXDEM,WAV)                += wav
LAVF_TESTS-$(call MUXDEM,YUV4MPEGPIPE)       += yuv4mpeg

LAVFI_TESTS =

ACODEC_TESTS := $(addprefix regtest-, $(ACODEC_TESTS) $(ACODEC_TESTS-yes))
VCODEC_TESTS := $(addprefix regtest-, $(VCODEC_TESTS) $(VCODEC_TESTS-yes))
LAVF_TESTS  := $(addprefix regtest-, $(LAVF_TESTS)  $(LAVF_TESTS-yes))
LAVFI_TESTS := $(addprefix regtest-, $(LAVFI_TESTS) $(LAVFI_TESTS-yes))

CODEC_TESTS = $(VCODEC_TESTS) $(ACODEC_TESTS)

codectest: $(CODEC_TESTS)
lavftest:  $(LAVF_TESTS)

# lavfitest: $(LAVFI_TESTS)

$(ACODEC_TESTS): regtest-aref
$(VCODEC_TESTS): regtest-vref
$(LAVF_TESTS) $(LAVFI_TESTS): regtest-ref

REFFILE = $(SRC_PATH)/tests/ref/$(1)/$(2:regtest-%=%)
RESFILE = tests/data/$(2:regtest-%=%).$(1).regression

define CODECTEST_CMD
	$(SRC_PATH)/tests/codec-regression.sh $@ vsynth1 tests/vsynth1 a "$(TARGET_EXEC)" "$(TARGET_PATH)"
	$(SRC_PATH)/tests/codec-regression.sh $@ vsynth2 tests/vsynth2 a "$(TARGET_EXEC)" "$(TARGET_PATH)"
endef

regtest-ref: regtest-aref regtest-vref

regtest-vref: ffmpeg$(EXESUF) tests/vsynth1/00.pgm tests/vsynth2/00.pgm
	$(CODECTEST_CMD)

regtest-aref: ffmpeg$(EXESUF) tests/data/asynth1.sw
	@$(SRC_PATH)/tests/codec-regression.sh $@ acodec tests/acodec a "$(TARGET_EXEC)" "$(TARGET_PATH)"

$(VCODEC_TESTS): tests/tiny_psnr$(HOSTEXESUF)
	@echo "TEST VCODEC $(@:regtest-%=%)"
	@$(CODECTEST_CMD)
	@diff -u -w $(call REFFILE,vsynth1,$@) $(call RESFILE,vsynth1,$@)
	@diff -u -w $(call REFFILE,vsynth2,$@) $(call RESFILE,vsynth2,$@)

$(ACODEC_TESTS): tests/tiny_psnr$(HOSTEXESUF)
	@echo "TEST ACODEC $(@:regtest-%=%)"
	@$(SRC_PATH)/tests/codec-regression.sh $@ acodec tests/acodec a "$(TARGET_EXEC)" "$(TARGET_PATH)"
	@diff -u -w $(call REFFILE,acodec,$@) $(call RESFILE,acodec,$@)

$(LAVF_TESTS):
	@echo "TEST LAVF  $(@:regtest-%=%)"
	@$(SRC_PATH)/tests/lavf-regression.sh $@ lavf tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
	@diff -u -w $(call REFFILE,lavf,$@) $(call RESFILE,lavf,$@)

$(LAVFI_TESTS):
	@echo "TEST LAVFI $(@:regtest-%=%)"
	@$(SRC_PATH)/tests/lavfi-regression.sh $@ lavfi tests/vsynth1 b "$(TARGET_EXEC)" "$(TARGET_PATH)"
	@diff -u -w $(call REFFILE,lavfi,$@) $(call RESFILE,lavfi,$@)

seektest: codectest lavftest tests/seek_test$(EXESUF)
	$(SRC_PATH)/tests/seek-regression.sh $(SEEK_REFFILE) "$(TARGET_EXEC)" "$(TARGET_PATH)"

ffservertest: ffserver$(EXESUF) tests/vsynth1/00.pgm tests/data/asynth1.sw
	@echo
	@echo "Unfortunately ffserver is broken and therefore its regression"
	@echo "test fails randomly. Treat the results accordingly."
	@echo
	$(SRC_PATH)/tests/ffserver-regression.sh $(FFSERVER_REFFILE) $(SRC_PATH)/tests/ffserver.conf

tests/vsynth1/00.pgm: tests/videogen$(HOSTEXESUF)
	mkdir -p tests/vsynth1
	$(BUILD_ROOT)/$< 'tests/vsynth1/'

tests/vsynth2/00.pgm: tests/rotozoom$(HOSTEXESUF)
	mkdir -p tests/vsynth2
	$(BUILD_ROOT)/$< 'tests/vsynth2/' $(SRC_PATH)/tests/lena.pnm

tests/data/asynth1.sw: tests/audiogen$(HOSTEXESUF)
	mkdir -p tests/data
	$(BUILD_ROOT)/$< $@

tests/seek_test$(EXESUF): tests/seek_test.o $(FF_DEP_LIBS)
	$(LD) $(FF_LDFLAGS) -o $@ $< $(FF_EXTRALIBS)


.PHONY: documentation *test regtest-* zlib-error alltools check config

=== gst-libs/ext/ffmpeg/libavfilter/Makefile ===
include $(SUBDIR)../config.mak

NAME = avfilter
FFLIBS = avcodec avutil swscale
FFLIBS-$(CONFIG_AVFILTER_LAVF) += avformat

HEADERS = avfilter.h

OBJS = allfilters.o                                                     \
       avfilter.o                                                       \
       defaults.o                                                       \
       formats.o                                                        \
       parseutils.o                                                     \

OBJS-$(CONFIG_CROP_FILTER)                   += vf_crop.o
OBJS-$(CONFIG_FORMAT_FILTER)                 += vf_format.o
OBJS-$(CONFIG_NOFORMAT_FILTER)               += vf_format.o
OBJS-$(CONFIG_NULL_FILTER)                   += vf_null.o
OBJS-$(CONFIG_SCALE_FILTER)                  += vf_scale.o
OBJS-$(CONFIG_SLICIFY_FILTER)                += vf_slicify.o
OBJS-$(CONFIG_VFLIP_FILTER)                  += vf_vflip.o

OBJS-$(CONFIG_NULLSRC_FILTER)                += vsrc_nullsrc.o

OBJS-$(CONFIG_NULLSINK_FILTER)               += vsink_nullsink.o

include $(SUBDIR)../subdir.mak

## gstreamer0.10-ffmpeg 0.10.11

=== debian/changelog ===
gstreamer0.10-ffmpeg (0.10.11-1) experimental; urgency=low

  * New upstream stable release, "Feeding trolls is strictly forbidden".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 21:41:07 +0200

gstreamer0.10-ffmpeg (0.10.10.5-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 15:46:38 +0200

gstreamer0.10-ffmpeg (0.10.10.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jun 2010 10:50:22 +0200

gstreamer0.10-ffmpeg (0.10.10.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jun 2010 13:07:07 +0200

gstreamer0.10-ffmpeg (0.10.10.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/compat,
      debian/control,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/control,
      debian/patches/01_new-codec-ids.patch,
      debian/patches/03_too-new-codec-ids.patch:
      - Require ffmpeg 0.6 and drop now obsolete patches.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jun 2010 11:34:36 +0200

gstreamer0.10-ffmpeg (0.10.10-1) unstable; urgency=low

  * New upstream stable release, "It's The Bomb".

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Mar 2010 10:08:54 +0000

gstreamer0.10-ffmpeg (0.10.9.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Feb 2010 08:30:58 +0100

gstreamer0.10-ffmpeg (0.10.9.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/03_restricted-caps.patch,
      debian/patches/04_ignore-vdpau.patch:
      - Dropped, merged upstream.
  * debian/patches/03_too-new-codec-ids.patch:
    + Disable some ffmpeg codec IDs because Debian's
      ffmpeg is once again too old...

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2010 18:14:59 +0100

gstreamer0.10-ffmpeg (0.10.9-3) unstable; urgency=low

  * debian/patches/04_ignore-vdpau.patch:
    + Ignore all VDPAU decoders (Closes: #560196).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Dec 2009 14:56:43 +0100

gstreamer0.10-ffmpeg (0.10.9-2) unstable; urgency=low

  * debian/patches/03_restricted-caps.patch
    + Added. Make sure the video caps in the negotiation are always as
      restricted as possible.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 09 Nov 2009 21:24:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
 Source: gstreamer0.10-ffmpeg
 Section: libs
 Priority: optional
-Maintainer: Zaheer Abbas Merali <zaheermerali@gmail.com>
-Build-Depends: debhelper (>= 5),
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Uploaders: David I. Lehn <dlehn@debian.org>,
+           Loic Minier <lool@dooz.org>,
+           Sebastian Dröge <slomo@debian.org>,
+           Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 7),
                cdbs (>= 0.4.8),
                autotools-dev,
                zlib1g-dev,
@@ -10,11 +14,15 @@
                pkg-config (>= 0.11.0),
                libgstreamer0.10-dev (>= 0.10.22),
                libgstreamer-plugins-base0.10-dev (>= 0.10.22),
-               liboil0.3-dev (>= 0.3.6),
+               liborc-0.4-dev (>= 0.4.5),
                gstreamer-tools (>= 0.10.14),
+               libavcodec-dev (>= 4:0.6),
+               libpostproc-dev (>= 4:0.6),
+               libavformat-dev (>= 4:0.6),
+               libswscale-dev (>= 4:0.6),
                libbz2-dev,
-               maemo-optify
-Standards-Version: 3.8.3
+               lsb-release
+Standards-Version: 3.8.4
 
 Package: gstreamer0.10-ffmpeg
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

CFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell lsb_release -si)"

GST_PACKAGE_NAME := "GStreamer FFMPEG Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer0.10-ffmpeg"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer FFMPEG Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gstreamer0.10-ffmpeg"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer FFMPEG Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gstreamer0.10-ffmpeg"
endif


DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)

DEB_CONFIGURE_EXTRA_FLAGS += --with-system-ffmpeg \
                             --with-package-name=$(GST_PACKAGE_NAME) \
                             --with-package-origin=$(GST_PACKAGE_ORIGIN)

DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS

DEB_DH_STRIP_ARGS := --dbg-package=gstreamer0.10-ffmpeg-dbg

install/gstreamer0.10-ffmpeg::
	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.la
	rm -f debian/gstreamer0.10-ffmpeg/usr/lib/gstreamer-0.10/libgst*.a

common-binary-fixup-arch::
	dh_gstscancodecs
